Subject: Re: [PATCH v2 3/4] powerpc/mm: fix a warning when a cache is common to PGD and hugepages

From: Segher Boessenkool <[email-masked]>
Date: Thu, 23 Aug 2018 09:41:18 -0500

On Thu, Aug 23, 2018 at 11:32:16PM +1000, Andrew Donnellan wrote:
> On 23/08/18 21:56, Michael Ellerman wrote:
> >Christophe LEROY <[email-masked]> writes:
> >
> >>Le 23/08/2018 à 12:36, Segher Boessenkool a écrit :
> >>>On Thu, Aug 23, 2018 at 11:40:22AM +0200, Christophe LEROY wrote:
> >>>>The only small problème I have is that some version of GCC seems to
> >>>>complain about big memset() (132k and 256k ones). Is there a way to tell
> >>>>GCC we really want to do it ?
> >>>
> >>>I'm not sure what you mean.  Complain, is that a warning, is that an 
> >>>error?
> >>>What does it say?  Do you have some example code to reproduce it?  Etc.
> >>
> >>I saw the warnings in the checks at
> >>https://patchwork.ozlabs.org/patch/957566/
> >>Unfortunatly the link is now broken.
> >
> >ruscur/ajd any idea what happened to the snowpatch links here?
> 
> I think they've disappeared because our log rotation is too fast - I've 
> now upped it to 30 days. I guess over time we'll figure out what we need 
> in this regard, ideally we'd keep logs indefinitely but they're several 
> megs per build.
> 
> I've kicked off another build for this series and the links in Patchwork 
> should update to point to the new job when it's done (probably in the 
> next couple of hours).

It's back, thanks Andrew!

The warnings are not from GCC at all: the warnings are from sparse.

Segher